libcdr::CDRStylesCollector Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libcdr::CDRStylesCollector Class Reference

`#include <CDRStylesCollector.h>`

Inheritance diagram for libcdr::CDRStylesCollector:

## Public Member Functions
| CDRStylesCollector (CDRParserState &ps)
virtual | ~CDRStylesCollector ()
void | collectPage (unsigned level)
void | collectObject (unsigned)
void | collectGroup (unsigned)
void | collectVect (unsigned)
void | collectOtherList ()
void | collectPath (const CDRPath &)
void | collectLevel (unsigned)
void | collectTransform (const CDRTransforms &, bool)
void | collectFillStyle (unsigned id, const CDRFillStyle &fillStyle)
void | collectFillStyleId (unsigned)
void | collectLineStyle (unsigned id, const CDRLineStyle &lineStyle)
void | collectLineStyleId (unsigned)
void | collectRotate (double, double, double)
void | collectFlags (unsigned, bool)
void | collectPageSize (double width, double height, double offsetX, double offsetY)
void | collectPolygonTransform (unsigned, unsigned, double, double, double, double)
void | collectBitmap (unsigned, double, double, double, double)
void | collectBmp (unsigned imageId, unsigned colorModel, unsigned width, unsigned height, unsigned bpp, const std::vector< unsigned > &palette, const std::vector< unsigned char > &bitmap)
void | collectBmp (unsigned imageId, const std::vector< unsigned char > &bitmap)
void | collectBmpf (unsigned patternId, unsigned width, unsigned height, const std::vector< unsigned char > &pattern)
void | collectPpdt (const std::vector< std::pair< double, double > > &, const std::vector< unsigned > &)
void | collectFillTransform (const CDRTransforms &)
void | collectFillOpacity (double)
void | collectPolygon ()
void | collectSpline ()
void | collectColorProfile (const std::vector< unsigned char > &profile)
void | collectBBox (double, double, double, double)
void | collectSpnd (unsigned)
void | collectVectorPattern (unsigned, const librevenge::RVNGBinaryData &)
void | collectPaletteEntry (unsigned colorId, unsigned userId, const CDRColor &color)
void | collectText (unsigned textId, unsigned styleId, const std::vector< unsigned char > &data, const std::vector< unsigned char > &charDescriptions, const std::map< unsigned, CDRStyle > &styleOverrides)
void | collectArtisticText (double, double)
void | collectParagraphText (double, double, double, double)
void | collectStld (unsigned id, const CDRStyle &style)
void | collectStyleId (unsigned)
Public Member Functions inherited from libcdr::CDRCollector
| CDRCollector ()
virtual | ~CDRCollector ()

## Private Member Functions
| CDRStylesCollector (const CDRStylesCollector &)
CDRStylesCollector & | operator= (const CDRStylesCollector &)

## Private Attributes
CDRParserState & | m_ps
CDRPage | m_page

## Constructor & Destructor Documentation

## § CDRStylesCollector() [1/2]

libcdr::CDRStylesCollector::CDRStylesCollector | ( | libcdr::CDRParserState & | ps | ) |

Referenced by collectStyleId().

## § ~CDRStylesCollector()

libcdr::CDRStylesCollector::~CDRStylesCollector | ( |  | ) |
| virtual

## § CDRStylesCollector() [2/2]

libcdr::CDRStylesCollector::CDRStylesCollector | ( | const CDRStylesCollector & |  | ) |
| private

## Member Function Documentation

## § collectArtisticText()

void libcdr::CDRStylesCollector::collectArtisticText | ( | double | ,
|  | double |
| ) |  |
| inlinevirtual

Implements libcdr::CDRCollector.

## § collectBBox()

void libcdr::CDRStylesCollector::collectBBox | ( | double | ,
|  | double | ,
|  | double | ,
|  | double |
| ) |  |
| inlinevirtual

Implements libcdr::CDRCollector.

## § collectBitmap()

void libcdr::CDRStylesCollector::collectBitmap | ( | unsigned | ,
|  | double | ,
|  | double | ,
|  | double | ,
|  | double |
| ) |  |
| inlinevirtual

Implements libcdr::CDRCollector.

## § collectBmp() [1/2]

void libcdr::CDRStylesCollector::collectBmp | ( | unsigned | imageId,
|  | unsigned | colorModel,
|  | unsigned | width,
|  | unsigned | height,
|  | unsigned | bpp,
|  | const std::vector< unsigned > & | palette,
|  | const std::vector< unsigned char > & | bitmap
| ) |  |
| virtual

Implements libcdr::CDRCollector.

Referenced by collectBitmap().

## § collectBmp() [2/2]

void libcdr::CDRStylesCollector::collectBmp | ( | unsigned | imageId,
|  | const std::vector< unsigned char > & | bitmap
| ) |  |
| virtual

Implements libcdr::CDRCollector.

## § collectBmpf()

void libcdr::CDRStylesCollector::collectBmpf | ( | unsigned | patternId,
|  | unsigned | width,
|  | unsigned | height,
|  | const std::vector< unsigned char > & | pattern
| ) |  |
| virtual

Implements libcdr::CDRCollector.

Referenced by collectBitmap().

## § collectColorProfile()

void libcdr::CDRStylesCollector::collectColorProfile | ( | const std::vector< unsigned char > & | profile | ) |
| virtual

Implements libcdr::CDRCollector.

Referenced by collectSpline().

## § collectFillOpacity()

void libcdr::CDRStylesCollector::collectFillOpacity | ( | double |  | ) |
| inlinevirtual

Implements libcdr::CDRCollector.

## § collectFillStyle()

void libcdr::CDRStylesCollector::collectFillStyle | ( | unsigned | id,
|  | const CDRFillStyle & | fillStyle
| ) |  |
| virtual

Implements libcdr::CDRCollector.

Referenced by collectTransform().

## § collectFillStyleId()

void libcdr::CDRStylesCollector::collectFillStyleId | ( | unsigned |  | ) |
| inlinevirtual

Implements libcdr::CDRCollector.

## § collectFillTransform()

void libcdr::CDRStylesCollector::collectFillTransform | ( | const CDRTransforms & |  | ) |
| inlinevirtual

Implements libcdr::CDRCollector.

## § collectFlags()

void libcdr::CDRStylesCollector::collectFlags | ( | unsigned | ,
|  | bool |
| ) |  |
| inlinevirtual

Implements libcdr::CDRCollector.

## § collectGroup()

void libcdr::CDRStylesCollector::collectGroup | ( | unsigned |  | ) |
| inlinevirtual

Implements libcdr::CDRCollector.

## § collectLevel()

void libcdr::CDRStylesCollector::collectLevel | ( | unsigned |  | ) |
| inlinevirtual

Implements libcdr::CDRCollector.

## § collectLineStyle()

void libcdr::CDRStylesCollector::collectLineStyle | ( | unsigned | id,
|  | const CDRLineStyle & | lineStyle
| ) |  |
| virtual

Implements libcdr::CDRCollector.

Referenced by collectFillStyleId().

## § collectLineStyleId()

void libcdr::CDRStylesCollector::collectLineStyleId | ( | unsigned |  | ) |
| inlinevirtual

Implements libcdr::CDRCollector.

## § collectObject()

void libcdr::CDRStylesCollector::collectObject | ( | unsigned |  | ) |
| inlinevirtual

Implements libcdr::CDRCollector.

## § collectOtherList()

void libcdr::CDRStylesCollector::collectOtherList | ( |  | ) |
| inlinevirtual

Implements libcdr::CDRCollector.

## § collectPage()

void libcdr::CDRStylesCollector::collectPage | ( | unsigned | level | ) |
| virtual

Implements libcdr::CDRCollector.

## § collectPageSize()

void libcdr::CDRStylesCollector::collectPageSize | ( | double | width,
|  | double | height,
|  | double | offsetX,
|  | double | offsetY
| ) |  |
| virtual

Implements libcdr::CDRCollector.

Referenced by collectFlags().

## § collectPaletteEntry()

void libcdr::CDRStylesCollector::collectPaletteEntry | ( | unsigned | colorId,
|  | unsigned | userId,
|  | const CDRColor & | color
| ) |  |
| virtual

Implements libcdr::CDRCollector.

Referenced by collectVectorPattern().

## § collectParagraphText()

void libcdr::CDRStylesCollector::collectParagraphText | ( | double | ,
|  | double | ,
|  | double | ,
|  | double |
| ) |  |
| inlinevirtual

Implements libcdr::CDRCollector.

## § collectPath()

void libcdr::CDRStylesCollector::collectPath | ( | const CDRPath & |  | ) |
| inlinevirtual

Implements libcdr::CDRCollector.

## § collectPolygon()

void libcdr::CDRStylesCollector::collectPolygon | ( |  | ) |
| inlinevirtual

Implements libcdr::CDRCollector.

## § collectPolygonTransform()

void libcdr::CDRStylesCollector::collectPolygonTransform | ( | unsigned | ,
|  | unsigned | ,
|  | double | ,
|  | double | ,
|  | double | ,
|  | double |
| ) |  |
| inlinevirtual

Implements libcdr::CDRCollector.

## § collectPpdt()

void libcdr::CDRStylesCollector::collectPpdt | ( | const std::vector< std::pair< double, double > > & | ,
|  | const std::vector< unsigned > & |
| ) |  |
| inlinevirtual

Implements libcdr::CDRCollector.

## § collectRotate()

void libcdr::CDRStylesCollector::collectRotate | ( | double | ,
|  | double | ,
|  | double |
| ) |  |
| inlinevirtual

Implements libcdr::CDRCollector.

## § collectSpline()

void libcdr::CDRStylesCollector::collectSpline | ( |  | ) |
| inlinevirtual

Implements libcdr::CDRCollector.

## § collectSpnd()

void libcdr::CDRStylesCollector::collectSpnd | ( | unsigned |  | ) |
| inlinevirtual

Implements libcdr::CDRCollector.

## § collectStld()

void libcdr::CDRStylesCollector::collectStld | ( | unsigned | id,
|  | const CDRStyle & | style
| ) |  |
| virtual

Implements libcdr::CDRCollector.

Referenced by collectParagraphText().

## § collectStyleId()

void libcdr::CDRStylesCollector::collectStyleId | ( | unsigned |  | ) |
| inlinevirtual

Implements libcdr::CDRCollector.

## § collectText()

void libcdr::CDRStylesCollector::collectText | ( | unsigned | textId,
|  | unsigned | styleId,
|  | const std::vector< unsigned char > & | data,
|  | const std::vector< unsigned char > & | charDescriptions,
|  | const std::map< unsigned, CDRStyle > & | styleOverrides
| ) |  |
| virtual

Implements libcdr::CDRCollector.

Referenced by collectVectorPattern().

## § collectTransform()

void libcdr::CDRStylesCollector::collectTransform | ( | const CDRTransforms & | ,
|  | bool |
| ) |  |
| inlinevirtual

Implements libcdr::CDRCollector.

## § collectVect()

void libcdr::CDRStylesCollector::collectVect | ( | unsigned |  | ) |
| inlinevirtual

Implements libcdr::CDRCollector.

## § collectVectorPattern()

void libcdr::CDRStylesCollector::collectVectorPattern | ( | unsigned | ,
|  | const librevenge::RVNGBinaryData & |
| ) |  |
| inlinevirtual

Implements libcdr::CDRCollector.

## § operator=()

CDRStylesCollector& libcdr::CDRStylesCollector::operator= | ( | const CDRStylesCollector & |  | ) |
| private

Referenced by collectStyleId().

## Member Data Documentation

## § m_page

CDRPage libcdr::CDRStylesCollector::m_page
| private

Referenced by collectPage(), and collectPageSize().

## § m_ps

CDRParserState& libcdr::CDRStylesCollector::m_ps
| private

Referenced by collectBmp(), collectBmpf(), collectColorProfile(), collectFillStyle(), collectLineStyle(), collectPage(), collectPageSize(), collectPaletteEntry(), collectStld(), and collectText().

The documentation for this class was generated from the following files:

- CDRStylesCollector.h
- CDRStylesCollector.cpp